# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define reltag .GA_CP02
%define namedversion %{version}%{reltag}
%define jarname mod-cluster

Name:		mod_cluster-native
Summary: 	JBoss mod_cluster for Apache httpd
Version: 	1.0.10
Release: 	3%{reltag}%{?dist}
Epoch:		0
License: 	LGPLv3
Group: 		Applications/System
URL:		http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/mod_cluster/tags/MOD_CLUSTER_1_0_10_GA_CP02/ mod_cluster-1.0.10.GA_CP02
# tar czf mod_cluster-1.0.10.GA_CP02.tar.gz mod_cluster-1.0.10.GA_CP02
# Exported revision 615.
Source0:	mod_cluster-1.0.10.GA_CP02.tar.gz

BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	httpd22-devel

#Requires:   httpd22 >= 0:2.2.8

%description
JBoss mod_cluster for Apache httpd.
NOTE: Apache httpd 2.2.8 or newer is needed.

%prep
%setup -q -n mod_cluster-%{namedversion}

%build
zip -q -r ../%{name}-%{namedversion}-src.zip *

%{!?apxs: %{expand: %%define apxs %{_sbindir}/apxs22}}
%define aplibdir %(%{apxs} -q LIBEXECDIR 2>/dev/null)
pushd native
for i in advertise mod_manager mod_proxy_cluster mod_slotmem
do
pushd $i
sh buildconf
./configure --with-apxs="%{apxs}"
make CFLAGS=-fno-strict-aliasing
popd
done
popd

%install
%{!?apxs: %{expand: %%define apxs %{_sbindir}/apxs22}}
%define aplibdir %(%{apxs} -q LIBEXECDIR 2>/dev/null)
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT/%{aplibdir}/
cp -p native/*/*.so ${RPM_BUILD_ROOT}/%{aplibdir}/

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%{!?apxs: %{expand: %%define apxs %{_sbindir}/apxs22}}
%define aplibdir %(%{apxs} -q LIBEXECDIR 2>/dev/null)
%defattr(0644,root,root,0755)
%doc JBossORG-EULA.txt
%doc lgpl.txt
%doc README.txt
%doc release.txt
%attr(0755,root,root) %{aplibdir}/*

%changelog
* Mon Aug 15 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-3.GA_CP02
- Upgrade to 1.0.10.GA_CP02

* Fri Jun 10 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-2.GA_CP01
- Upgrade to 1.0.10.GA_CP01

* Mon Apr 18 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-1
- Upgrade to 1.0.10.GA

* Mon Mar 21 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.9-1
- Upgrade to 1.0.9.GA

* Thu Feb 17 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-2
- Fix Release tag

* Wed Feb 16 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-1
- Upgrade to 1.0.8.GA

* Fri Jan 07 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.6-1
- Upgrade to 1.0.6.GA

* Wed Nov 24 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.5-1
- Upgrade to 1.0.5.GA

* Wed Jul 28 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-1
- Upgrade to 1.0.4.GA
- Remove patches that are already incorporated in the tag

* Thu Jun 24 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-9
- Remove R: httpd22 2.2.8 and add a note in description

* Tue Jun 22 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-8
- Build with no-strict-aliasing as suggested by rpmdiff

* Wed May 26 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-7
- Spec file clean up

* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-6
- Split up the native part into its own build

* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-6
- Add patch for JBPAPP-3936, 4046, 4307
- Adjust depmap

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.3-5.1
- rebuilt

* Sun Apr 11 2010 Weinan Li <weli@redhat.com> - 0:1.0.3-5
- BR jboss-cluster-ha-server-api
- BR dtdparser
- BR gnu-trove
- BR jboss-serialization

* Tue Apr 06 2010 Hui Wang <huwang@redhat.com> - 0:1.0.3-4
- Rebuild 

* Mon Jan 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-3
- Rebuild

* Mon Jan 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-2
- Rebuild

* Mon Jan 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-1
- Upgrade to 1.0.3

* Tue Nov 17 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-6
- Rebuild

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5
- Fix location of zip

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-4
- Fix Requires:

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-3
- Build native .so for httpd and put them in the main package
- Rename the package that includes jars and sar for jbossas to -jbossas
- Add load-demo.war back in demo/server
- Add .so to zip
- Add src-zip

* Mon Nov 02 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2
- Add license and release notes to the main package
- Remove .dir extension from sar directory name
- Add mod_cluster.jar to sar directory
- Change sub-package names to jbossweb2 and tomcat6 to clarify versions
- Explode contents of load-demo.war inside server subdirectory in the demo sub-package

* Tue Sep 15 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1
- Brew build
- Relax version for httpd-devel
